Bug 103506 - Initialization of eth0 gives 'Check cable?' message for 3C59X card
Initialization of eth0 gives 'Check cable?' message for 3C59X card
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-01 08:49 EDT by Need Real Name
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-09-01 08:49:23 EDT
Description of problem:
On boot after new install eth0 startup reports "... nolink present. Check 
cable?"

Version-Release number of selected component (if applicable):
ifup script

How reproducible:
reboot

Steps to Reproduce:
1.boot
2.
3.
    
Actual results:
"Determining IP information for eth0 ... failed; no link present. Check cable?" 

Expected results:
[OK]


Additional info:
P233MMX 64MB 3GB HD 3Com 3c590 card
I verified alias was defined in modules.config
I was able to manually run ifconfig eth0 up and dhclient

workaround:
I found "IF" statement in ifup. I commented out check_link_down ${DEVICE} "IF" 
statement.

eth0 configures OK
Comment 1 Bill Nottingham 2003-09-05 16:54:41 EDT
Your driver is buggy in reporting link status, most likely.
Comment 2 Jim Cornette 2003-10-18 22:49:56 EDT
Is your card recognized as this?

00:11.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone]

This is what type of card you have? Then the problem is similar to what is
happening for me with the card.

00:0d.0 Ethernet controller: 3Com Corporation 3c905 100BaseTX [Boomerang]


I replaced my card, but am following the currently related bug reports.
 Bug 107389 was just entered.

I have a bug report on this problem that started with bug 100658 and ontinued
with  fresh install.
Comment 3 Bugzilla owner 2004-09-30 11:41:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.